doctype html
- var base_url = 'http://localhost:1234/';
html.h-100(lang='en')
    head
        meta(charset='utf-8')
        meta(http-equiv='X-UA-Compatible' content='IE=edge')
        meta(name='keywords' content='')
        meta(name='author' content='')
        meta(name='robots' content='')
        meta(name='viewport' content='width=device-width, initial-scale=1')
        meta(name='description' content='Jobick : Job Admin Bootstrap 5 Template')
        meta(property='og:title' content='Jobick : Job Admin Bootstrap 5 Template')
        meta(property='og:description' content='Jobick : Job Admin Bootstrap 5 Template')
        meta(property='og:image' content='https://jobick.dexignlab.com/xhtml/social-image.png')
        meta(name='format-detection' content='telephone=no')
        // PAGE TITLE HERE
        title Jobick Job Admin
        // FAVICONS ICON
        link(rel='shortcut icon' type='image/png' href='/images/favicon.png')
        link(href='/css/style.css' rel='stylesheet')
    body.vh-100
        .authincation.h-100
            .container.h-100
                .row.justify-content-center.h-100.align-items-center
                    .col-md-6
                        .authincation-content
                            .row.no-gutters
                                .col-xl-12
                                    .auth-form
                                        .text-center.mb-3
                                        h4.text-center.mb-4 Loadding


        Scripts
        // Required vendors
        script(src='/vendor/global/global.min.js')
        script(src='/js/custom.min.js')
        script(src='/js/dlabnav-init.js')
        script(src='/vendor/sweetalert2/dist/sweetalert2.min.js')
        script(src='/vendor/moment/moment.min.js')
        script.
            const access_token = localStorage.getItem('access_token');
            check_authen();
            function check_authen(){
                console.log('check_authen')
                console.log(access_token)
                $.ajax({
                    url: "#{base_url}authen",
                    headers: {
                        'Authorization': 'Bearer '+access_token,
                    },
                    method: "GET",
                    dataType: "json",
                    success: function (data, status, xhr) {
                        console.log(data)
                        if(data.result && status=='success' && xhr.status==200){

                            redirect_login();

                        }else{
                            redirect_login();
                        }
                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                        redirect_login();
                    },
                });
            }

            
            function redirect_login(){

                swal({
                title: "Fail!",
                text: "Plase login again!",
                type: "warning",
                confirmButtonColor: "#DD6B55",
                    }).then(function() {
                    window.location = "#{base_url}";
                    });
            }


